MyGUI: MyGUI::ResourceImageSetPointer Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceImageSetPointer Class Reference

`#include <MyGUI_ResourceImageSetPointer.h>`

Inheritance diagram for MyGUI::ResourceImageSetPointer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceImageSetPointer | RTTIBase
Public Types inherited from MyGUI::IPointer
typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceImageSetPointer ()
virtual | ~ResourceImageSetPointer ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual void | setImage (ImageBox *_image)
virtual void | setPosition (ImageBox *_image, const IntPoint &_point)
Public Member Functions inherited from MyGUI::IPointer
template<typename Type >
bool | isType () const
| IPointer ()
virtual | ~IPointer ()
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IPointer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 17 of file MyGUI_ResourceImageSetPointer.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceImageSetPointer::Base

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## ◆ RTTIBase

typedef ResourceImageSetPointer MyGUI::ResourceImageSetPointer::RTTIBase

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## Constructor & Destructor Documentation

## ◆ ResourceImageSetPointer()

MyGUI::ResourceImageSetPointer::ResourceImageSetPointer | ( |  | ) |

Definition at line 15 of file MyGUI_ResourceImageSetPointer.cpp.

## ◆ ~ResourceImageSetPointer()

MyGUI::ResourceImageSetPointer::~ResourceImageSetPointer | ( |  | ) |
| virtual

Definition at line 20 of file MyGUI_ResourceImageSetPointer.cpp.

## Member Function Documentation

## ◆ deserialization()

void MyGUI::ResourceImageSetPointer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 24 of file MyGUI_ResourceImageSetPointer.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ResourceImageSetPointer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ResourceImageSetPointer::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IPointer.

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceImageSetPointer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceImageSetPointer::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IPointer.

Definition at line 20 of file MyGUI_ResourceImageSetPointer.h.

## ◆ setImage()

void MyGUI::ResourceImageSetPointer::setImage | ( | ImageBox * | _image | ) |
| virtual

Implements MyGUI::IPointer.

Definition at line 44 of file MyGUI_ResourceImageSetPointer.cpp.

## ◆ setPosition()

void MyGUI::ResourceImageSetPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point
| ) |  |
| virtual

Implements MyGUI::IPointer.

Definition at line 50 of file MyGUI_ResourceImageSetPointer.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceImageSetPointer.h
- MyGUI_ResourceImageSetPointer.cpp